org.restlet.ext.simple

## Class HttpServerHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Server>
      - - org.restlet.engine.ServerHelper
        - - org.restlet.engine.http.HttpServerHelper
          - - org.restlet.ext.simple.SimpleServerHelper
            - - org.restlet.ext.simple.HttpServerHelper

    public class HttpServerHelper
    extends SimpleServerHelper

Simple HTTPS server connector.

Author:
  Lars Heuer, Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`HttpServerHelper(Server server)` Constructor.

### Method Summary

Methods
`void` `start()` Starts the Restlet.

### Methods inherited from class org.restlet.ext.simple.SimpleServerHelper

`getAddress, getConnection, getContainerServer, getDefaultThreads, isConfidential, setAddress, setConfidential, setConnection, setContainerServer, stop`

### Methods inherited from class org.restlet.engine.http.HttpServerHelper

`getAdapter, handle, setAdapter`

### Methods inherited from class org.restlet.engine.ServerHelper

`handle, setEphemeralPort, setEphemeralPort`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServerHelper

    public HttpServerHelper(Server server)

Constructor.

Parameters:
  `server` - The server to help.

### Method Detail

#### start

    public void start()
               throws java.lang.Exception

Starts the Restlet.

Overrides:
  `start` in class `SimpleServerHelper`
Throws:
  `java.lang.Exception`